/*
    common.h - Blah. Some stuff

    Copyright (C) 2002  Mike Rawes

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MYK_COMMON_H
#define MYK_COMMON_H

/* Handy constants and macros */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE !FALSE
#endif

#ifndef NULL
#define NULL (void*)0
#endif

#ifndef M_PI
#define M_PI 3.14159265358979323846264338327
#endif

#define MYK_LITTLE_ENDIAN   0
#define MYK_BIG_ENDIAN      1

/* Change this to endianness of host */
#define MYK_HOST_BYTE_ORDER MYK_LITTLE_ENDIAN

/* Turn on debugging messages */
#define MYK_DEBUG

#ifdef MYK_DEBUG
#define MYK_ERROR(module, function, message) fprintf(stderr, "Error: %s\n  in %s, %s\n", message, module, function)
#else
#define MYK_ERROR(module, function, message) {}
#endif

#endif /* MYK_COMMON_H */
